reef-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julia Wang (QIUHE)" <Qiuhe.W...@microsoft.com.INVALID>
Subject RE: build broken from master branch!
Date Wed, 19 Jul 2017 18:21:25 GMT
What is the NuGet version we shall use? 

-----Original Message-----
From: Rogan Carr [mailto:rogan.carr@gmail.com] 
Sent: Wednesday, July 19, 2017 11:19 AM
To: dev@reef.apache.org
Subject: Re: build broken from master branch!

Hi Julia,

This is from my recent commit updating the System.Reactive libraries.

Do we need to target a specific version of the Nuget client? If not, can you update your client
and try again? If we do have a version requirement, let's add that to the project.

Best,
Rogan

On Wed, Jul 19, 2017 at 11:11 AM, Markus Weimer <markus@weimo.de> wrote:

> I can't repro myself, as I am stuck on other build issues, but:
> Wouldn't an update of your NuGet client fix this?
>
> Markus
>
> On Wed, Jul 19, 2017 at 10:47 AM, Julia Wang (QIUHE) 
> <Qiuhe.Wang@microsoft.com.invalid> wrote:
> > After sync from master this morning, when I build on the command 
> > line, I
> got the following build error:
> >
> > "C:\Reef\ReefApache\reef\lang\cs\Org.Apache.REEF.sln" (default 
> > target)
> (1) ->
> > "C:\Reef\ReefApache\reef\lang\cs\Org.Apache.REEF.Tang.
> Examples\Org.Apache.REEF.Tang.Examples.csproj" (default target) (5) ->
> > "C:\Reef\ReefApache\reef\lang\cs\Org.Apache.REEF.Wake\Org.Apache.REEF.Wake.csproj"
> (default target) (6) ->
> > (RestorePackages target) ->
> >   C:\Reef\ReefApache\reef\lang\cs\.nuget\NuGet.targets(135,9): error :
> The 'System.Reactive.Core 3.1.1' package requires NuGet client version 
> '2.12' or above, but the current NuG
> > et version is '2.8.60717.93'. [C:\Reef\ReefApache\reef\lang\
> cs\Org.Apache.REEF.Wake\Org.Apache.REEF.Wake.csproj]
> >   C:\Reef\ReefApache\reef\lang\cs\.nuget\NuGet.targets(135,9): error :
> The 'System.Reactive.Interfaces 3.1.1' package requires NuGet client 
> version '2.12' or above, but the curre
> > nt NuGet version is '2.8.60717.93'. [C:\Reef\ReefApache\reef\lang\
> cs\Org.Apache.REEF.Wake\Org.Apache.REEF.Wake.csproj]
> >   C:\Reef\ReefApache\reef\lang\cs\.nuget\NuGet.targets(135,9): error
> MSB3073: The command ""C:\Reef\ReefApache\reef\lang\cs\.nuget\NuGet.exe"
> install "C:\Reef\ReefApache\reef\lan
> > g\cs\Org.Apache.REEF.Wake\packages.config" -source ""  
> > -NonInteractive
> -RequireConsent -solutionDir "C:\Reef\ReefApache\reef\lang\cs\ "" 
> exited with code 1. [C:\Reef\ReefApache\r
> > eef\lang\cs\Org.Apache.REEF.Wake\Org.Apache.REEF.Wake.csproj]
> >
> > It breaks 6 projects in the solution. This error happens in both 
> > debug
> and release build. After I did clean for all the binaries and 
> packages, the error still come out during the build.
> >
> > Julia
>
Mime
View raw message